%!
% *** Insert definitions of N4, D4, SAMP, VSAT, VSAT4 here ***
%
% *** Insert P and S norms here ***
%
%-----------------------------------------------------------
/cm {2.54 div 72 mul} def
/HSIZE 16 cm def
/VSIZE 10 cm def
/HOFFSET 2.5 cm def
/VOFFSET 2.5 cm def
/DOTRADIUS 0.050 cm def
%-----------------------------------------------------------
/EXP 2.718281828 D4 VSAT4 mul neg exp def
/DOT {DOTRADIUS 0 360 arc fill} def

% S wave norms:
0 0 1 setrgbcolor
N4 1 sub -1 0 {
  N4 1 sub div HSIZE mul HOFFSET add exch
  SAMP mul VSAT div VSIZE mul VOFFSET add DOT
} for

% P wave norms:
0 1 0 setrgbcolor
N4 1 sub -1 0 {
  N4 1 sub div HSIZE mul HOFFSET add exch
  VSAT div VSIZE mul VOFFSET add DOT
} for

% Plot of the maximum colour saturation:
0 0 0 setrgbcolor
HOFFSET HSIZE add VOFFSET moveto HOFFSET VOFFSET lineto
0 1 N4 1 sub {dup
  N4 1 sub div HSIZE mul HOFFSET add exch
  EXP exch exp VSIZE mul VOFFSET add lineto
} for
closepath stroke

showpage
%%EOF
